Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-56657

Can not build jenkinsfile-runner with JDK 11

    XMLWordPrintable

    Details

    • Similar Issues:

      Description

      Hi

       

      Like I said in https://github.com/jenkinsci/ci.jenkins.io-runner/issues/67, I cannot build jenkinsfile-runner with Java 11.0.1 (it works perfectly with Java 1.8.0_172)

      I got this trace :

       

      {{[INFO] ------------------------------------------------------------------------
      [INFO] Reactor Summary:
      [INFO]
      [INFO] Jenkinsfile Runner 256.0-1.0-beta-7-544bc7e2959c47649a74b0dad69f12df154aa1b6-SNAPSHOT SUCCESS [ 6.617 s]
      [INFO] bootstrap .......................................... FAILURE [ 2.208 s]
      [INFO] setup .............................................. SKIPPED
      [INFO] payload-dependencies ............................... SKIPPED
      [INFO] payload ............................................ SKIPPED
      [INFO] jenkinsfile-runner ................................. SKIPPED
      [INFO] tests 256.0-1.0-beta-7-544bc7e2959c47649a74b0dad69f12df154aa1b6-SNAPSHOT SKIPPED
      [INFO] ------------------------------------------------------------------------
      [INFO] BUILD FAILURE
      [INFO] ------------------------------------------------------------------------
      [INFO] Total time: 11.284 s
      [INFO] Finished at: 2019-03-21T11:10:06+01:00
      [INFO] ------------------------------------------------------------------------
      [ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.6.2:compile (default-compile) on project bootstrap: Compilation failure: Compilation failure:
      [ERROR] /Users/tcollignon/eclipse-workspace/ci.jenkins.io-runner/tmp/build/jenkinsfile-runner/bootstrap/src/main/java/io/jenkins/jenkinsfile/runner/bootstrap/Bootstrap.java:[9,24] cannot find symbol
      [ERROR] symbol: class PostConstruct
      [ERROR] location: package javax.annotation
      [ERROR] /Users/tcollignon/eclipse-workspace/ci.jenkins.io-runner/tmp/build/jenkinsfile-runner/bootstrap/src/main/java/io/jenkins/jenkinsfile/runner/bootstrap/Bootstrap.java:[100,6] cannot find symbol
      [ERROR] symbol: class PostConstruct
      [ERROR] location: class io.jenkins.jenkinsfile.runner.bootstrap.Bootstrap
      [ERROR] -> [Help 1]
      [ERROR]
      [ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
      [ERROR] Re-run Maven using the -X switch to enable full debug logging.
      [ERROR]
      [ERROR] For more information about the errors and possible solutions, please read the following articles:
      [ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/MojoFailureException
      [ERROR]
      [ERROR] After correcting the problems, you can resume the build with the command
      [ERROR] mvn <goals> -rf :bootstrap
      Exception in thread "main" java.io.IOException: Command failed with exit code 1: mvn -s /Users/tcollignon/.m2/settings.xml clean install -DskipTests -Dfindbugs.skip=true -Denforcer.skip=true -Djenkins.version=2.164.1
      at io.jenkins.tools.warpackager.lib.util.SystemCommandHelper.processFor(SystemCommandHelper.java:39)
      at io.jenkins.tools.warpackager.lib.util.MavenHelper.run(MavenHelper.java:66)
      at io.jenkins.tools.warpackager.lib.util.MavenHelper.run(MavenHelper.java:46)
      at io.jenkins.tools.warpackager.lib.impl.Builder.buildIfNeeded(Builder.java:342)
      at io.jenkins.tools.warpackager.lib.impl.Builder.build(Builder.java:193)
      at io.jenkins.tools.warpackager.cli.Main.main(Main.java:56)
      make: *** [build] Error 1}}

      {{}}

      Kind regards{{}}

       

        Attachments

          Activity

          Hide
          oleg_nenashev Oleg Nenashev added a comment -

          Thanks for the report Thomas Collignon! I think it is an issue which requires a fix in medium-term, but it is not an immediate problem. JEP-211 does not require Jenkins components to be built with JDK11, it requires them only to run with it. FTR https://github.com/jenkinsci/jep/tree/master/jep/211 

          Still, it may be an issue for Customer WAR Packager flows. So I will mark it for the Dev Tools compatibility backlog

           

          Show
          oleg_nenashev Oleg Nenashev added a comment - Thanks for the report Thomas Collignon ! I think it is an issue which requires a fix in medium-term, but it is not an immediate problem. JEP-211 does not require Jenkins components to be built with JDK11, it requires them only to run with it. FTR https://github.com/jenkinsci/jep/tree/master/jep/211   Still, it may be an issue for Customer WAR Packager flows. So I will mark it for the Dev Tools compatibility backlog  

            People

            • Assignee:
              Unassigned
              Reporter:
              tcollignon Thomas Collignon
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated: